<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">

    <ui:define name="content">

        <h:panelGrid columns="1" cellpadding="5">
            
            <h:form id="form">
                <h:panelGrid columns="2" cellpadding="5">

                    <p:outputLabel value="Name"/>
                    <p:inputText value="#{categoryBean.category.name}" placeholder="Name"/>

                </h:panelGrid>
                <p:commandButton action="#{categoryBean.saveCategory()}" styleClass="buttons"
                                 icon="fa fa-fw fa-save" ajax="false"
                                 value="Save"/>
                <p:linkButton outcome="pretty:categoryList" styleClass="buttons" value="Back"/>
            </h:form>

        </h:panelGrid>

    </ui:define>

</ui:composition>